=== debian/changelog ===
libatomicbitvector (0.0+git20200519.e295358-4) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc to respect
    Debian Policy 4.9.1.

  [ Étienne Mollier ]
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundtant Rules-Requires-Root: no.
  * d/watch: convert to watch file v5.
  * cmake-4.patch: new: bump minimum cmake to 3.10. (Closes: #1113113)

 -- Étienne Mollier <emollier@debian.org>  Wed, 01 Oct 2025 20:00:25 +0200

libatomicbitvector (0.0+git20200519.e295358-3) unstable; urgency=medium

  * Fix clean target
    Closes: #1047857
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * Apply multi-arch hints.
    + libatomicbitvector-dev: Add Multi-Arch: foreign.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jan 2024 07:13:26 +0100

libatomicbitvector (0.0+git20200519.e295358-2) unstable; urgency=medium

  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jun 2020 21:59:05 +0200

libatomicbitvector (0.0+git20200519.e295358-1) unstable; urgency=medium

  * Initial release (Closes: #962233)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jun 2020 22:48:07 +0200
