=== debian/control ===
Source: libatomicbitvector
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/libatomicbitvector
Vcs-Git: https://salsa.debian.org/med-team/libatomicbitvector.git
Homepage: https://github.com/ekg/atomicbitvector

Package: libatomicbitvector-dev
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: atomic bitset/bitvector with size determined at runtime
 This header-only library encodes a bitvector class with size fixed at
 runtime. Atomic operations allow for concurrent access and modification
 of the bitset. Such a structure can help with coordinating parallel
 processing of a given fixed set of entities, and has the advantage of
 only requiring O(1) bit per entry.
 .
 The atomic_bv_t class is a straightforward extension of ConcurrentBitSet
 from Facebook's folly C++ library. It wraps the atomic type with a class
 that allows them to be copied, and these wrapped atomic types are then
 used to build a vector whose size is determined at runtime.
